package member

import (
	"testing"
	"encoding/json"
	"github.com/golang/glog"
	"fmt"
)

func TestMemberService_Login(t *testing.T) {

}

func TestMemberService_Regist(t *testing.T) {
	//m := &MemberService{
	//	Param: &Member{
	//		Email:"geek2@loafle.com",
	//		PwSalt:"qwer5795",
	//		Company:"Loafle",
	//		Name:"Geek",
	//		Phone:"010-4055-6699",
	//	},
	//}

	ms := NewMemberService()

	m := &Member{
		Email:"geek2@loafle.com",
		PwSalt:"qwer5795",
		Pw:"qwer5795",
		CompanyName:"Loafle",
		Name:"Geek",
		Phone:"010-4055-6699",
		Status:&MetaMemberStatus{Id:"1"},
	}
	retMem, _ := ms.Regist(m)
	t.Log(retMem)
}

func TestMemberLogin(t *testing.T) {
	//m := &MemberService{
	//	Param:&Member{
	//		Email:"geek@loafle.com",
	//		PwSalt:"qwer5795",
	//	},
	//}
	ms := NewMemberService()
	m := &Member{
		Email:"geek@loafle.com",
		PwSalt:"qwer5795",
	}

	b, _ := ms.Login(m)
	t.Log("LOGIN RESULT : ", b)
}

func TestMemberService_Read(t *testing.T) {
	mm := &Member{
		Id:"1",
	}

	ms := NewMemberService()
	rr, err := ms.Read(mm)

	if err != nil {
		t.Error(err)
	}

	t.Log(rr)
}

func TestMemberService_ReadByEmail(t *testing.T)  {
	ms := NewMemberService()
	m := &Member{
		Email:"overflow@loafle.com",
	}

	rr, err := ms.ReadByEmail(m)
	if err != nil {
		t.Error(err)
	}

	t.Log(rr)
}

func TestMemberUpdate(t *testing.T) {

	ms := NewMemberService()
	m := &Member{
		Id:"1",
	}
	rm, _ := ms.Read(m)

	json.Unmarshal([]byte(rm), m)

	m.Phone = "010-4055-6699"
	m.Status.Id = "1"
	m.Name = "Park"
	rr, err := ms.Modify(m)

	if err != nil {
		t.Error(err)
	}

	t.Log(rr)
}

func TestComvertJson(t *testing.T) {

	m := make(map[string]string)
	m["email"] = "geek@loafle.com"
	m["pwSalt"] = "qwer5795"
	ss := NewMemberService()

	paramStr, err := json.Marshal(m)
	if err != nil {
		glog.Fatal("Json Marshal Failed : ", err.Error())
	}
	fmt.Println(paramStr)
	fmt.Println(ss)
	// service converting
	//mem, _ := ss.GetModel()
	//err = json.Unmarshal(paramStr, mem)
	//if err != nil {
	//	glog.Fatal("Json Unmarshal Failed : ", err.Error())
	//}
	//fmt.Println(mem.(*Member).Email)
}