package meta

import (
	"encoding/json"
	"strconv"
)

const (
	NOAUTH_PROBE_STATUS_ACCEPT = 1
	NOAUTH_PROBE_STATUS_DENY = 2
	NOAUTH_PROBE_STATUS_PROCESS = 3
)

var metaNoauthProbeStatusMap = map[int]string{
	1: "ACCEPT",
	2: "DENY",
	3: "PROCESS",
}

type MetaNoAuthProbeStatus struct {
	Id json.Number 		`json:"id,Number,omitempty"`
	Name string		`json:"name,omitempty"`
}

func NewMetaNoAuthProbeStatus(types int) *MetaNoAuthProbeStatus {

	str := metaNoauthProbeStatusMap[types]

	if len(str) <= 0 {
		return nil
	}

	return &MetaNoAuthProbeStatus{
		Id:json.Number(strconv.Itoa(types)),
		Name:str,
	}
}