package sensor

import (
	"encoding/json"
	"git.loafle.net/overflow/commons_go/model/timestamp"
	"git.loafle.net/overflow/overflow_service/proxy/meta"
	"git.loafle.net/overflow/overflow_service/proxy/utils"
)

type SensorItem struct {
	Id             json.Number          `json:"id,Number,omitempty"`
	Sensor         *Sensor               `json:"sensor,omitempty"`
	MetaSensorItem *meta.MetaSensorItem `json:"item,omitempty"`
	CreateDate     timestamp.Timestamp  `json:"createDate,omitempty"`
}

type SensorItemService struct {
}

func NewSensorItemService() *SensorItemService {
	return &SensorItemService{}
}

func (ss *SensorItemService) Regist(s *SensorItem) (string, error) {
	out, err := utils.InvokeDBByModel("sensorItem", "save", s, utils.MODEL_SENSOR_ITEM)

	if err != nil {
		return "", err
	}

	return out, nil
}

func (ss *SensorItemService) ReadAllBySensor(s *Sensor) (string, error) {
	out, err := utils.InvokeDBByModel("sensorItem", "findAllBySensor", s, utils.MODEL_SENSOR)

	if err != nil {
		return "", err
	}

	return out, err
}

func (ss *SensorItemService) Read(id string) (string, error) {
	out, err := utils.InvokeDBByModel("sensorItem", "findOne", id, utils.MODEL_LONG)

	if err != nil {
		return "", err
	}

	return out, nil
}
