package sensor

import (
	"git.loafle.net/overflow/commons_go/model/timestamp"
	"git.loafle.net/overflow/overflow_service/proxy/meta"
	"testing"
)

func TestSensorItemRegist(t *testing.T) {
	ss := NewSensorItemService()

	s := &Sensor{
		Id: "2",
	}
	metaItem := &meta.MetaSensorItem{
		Id: "2",
	}

	item := &SensorItem{
		CreateDate:     timestamp.Now(),
		Sensor:         s,
		MetaSensorItem: metaItem,
	}

	res, err := ss.Regist(item)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)

}

func TestSensorItemList(t *testing.T) {
	ss := NewSensorItemService()
	s := &Sensor{
		Id: "1",
	}
	res, err := ss.ReadAllBySensor(s)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)
}

func TestSensorItemRead(t *testing.T) {
	ss := NewSensorItemService()
	res, err := ss.Read("2")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)
}
