package sensor

import (
	"encoding/json"
	"git.loafle.net/overflow/commons_go/model/timestamp"
	"git.loafle.net/overflow/overflow_service/proxy/infra"
	"git.loafle.net/overflow/overflow_service/proxy/meta"
	"git.loafle.net/overflow/overflow_service/proxy/probe"
	"git.loafle.net/overflow/overflow_service/proxy/target"
	"testing"
)

func TestSensorRegist(t *testing.T) {
	ss := NewSensorService()

	p := &probe.Probe{}
	p.Id = json.Number("1")
	i := &infra.Infra{}
	i.Id = json.Number("1")
	status := &meta.MetaSensorStatus{
		Id: "2",
	}
	target := &target.Target{
		Id: "1",
	}
	crawler := &meta.MetaCrawler{
		Id: "2",
	}
	sensor := &Sensor{
		CreateDate:       timestamp.Now(),
		Description:      "This is a Sensor",
		MetaSensorStatus: status,
		Target:           target,
		Crawler:          crawler,
	}

	res, err := ss.Regist(sensor)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)

}

func TestSensorList(t *testing.T) {
	ss := NewSensorService()
	tar := &target.Target{
		Id: "1",
	}
	res, err := ss.ReadAllByTarget(tar)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)
}

func TestSensorRead(t *testing.T) {
	ss := NewSensorService()
	res, err := ss.Read("1")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)
}
