package target

import (
	"encoding/json"
	"git.loafle.net/overflow/commons_go/model/timestamp"
	"git.loafle.net/overflow/overflow_service/proxy/infra"
	"git.loafle.net/overflow/overflow_service/proxy/probe"
	"git.loafle.net/overflow/overflow_service/proxy/utils"
)

type Target struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	CreateDate timestamp.Timestamp `json:"createDate,omitempty"`
	Probe      *probe.Probe        `json:"probe,omitempty"`
	Infra      *infra.Infra        `json:"infra,omitempty"`
}

type TargetService struct {
}

func NewTargetService() *TargetService {
	return &TargetService{}
}

func (t *TargetService) GetModel() interface{} {
	return &Target{}
}

func (t *TargetService) ReadAllByProbe(p *probe.Probe) (string, error) {

	out, err := utils.InvokeDBByModel("target", "findAllByProbe", p, utils.MODEL_PROBE)

	if err != nil {
		return "", err
	}

	return out, err
}

func (t *TargetService) Regist(target *Target) (string, error) {
	out, err := utils.InvokeDBByModel("target", "save", target, utils.MODEL_TARGET)

	if err != nil {
		return "", err
	}

	return out, nil
}

func (t *TargetService) Read(id string) (string, error) {

	out, err := utils.InvokeDBByModel("target", "findOne", id, utils.MODEL_LONG)

	if err != nil {
		return "", err
	}

	return out, nil
}
