package target

import (
	"encoding/json"
	"git.loafle.net/overflow/commons_go/model/timestamp"
	"git.loafle.net/overflow/overflow_service/proxy/infra"
	"git.loafle.net/overflow/overflow_service/proxy/probe"
	"testing"
)

func TestTargetRegist(t *testing.T) {
	ts := NewTargetService()

	p := &probe.Probe{}
	p.Id = json.Number("1")
	i := &infra.Infra{}
	i.Id = json.Number("1")

	target := &Target{
		CreateDate: timestamp.Now(),
		Probe:      p,
		Infra:      i,
	}
	res, err := ts.Regist(target)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)

}

func TestTargetList(t *testing.T) {
	ts := NewTargetService()
	p := &probe.Probe{
		Id: "1",
	}
	res, err := ts.ReadAllByProbe(p)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)
}

func TestTargetRead(t *testing.T) {
	ts := NewTargetService()
	res, err := ts.Read("1")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(res)
}
